Catmandu::Util::Regex(3pm)

NAME
Catmandu::Util::Regex - Regex related utility functions

FUNCTIONS

as_regex($str)
    Escapes and quotes the given string as a regex.

substituter($search, $replace)
    Builds a function that performs a regex substitution.

        my $ltrimmer = substituter('^[\h\v]+', '');
        $ltrimmer->("        eek! ");
        # => "eek! "